Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class CachedResolverCollection

    java.lang.Object
      oracle.ifs.common.CachedCollection
          oracle.ifs.common.CachedResolverCollection

All Implemented Interfaces:
  Collection, IfsEventHandler

    public class CachedResolverCollection

extends CachedCollection

A CachedResolverCollection is a CachedCollection whose items are `java.lang.Object`s specified by a CollectionResolver.

CachedResolverCollection defers resolving its items until they are requested, at which point they are obtained by calling the `resolveCollection` method of the CollectionResolver. Because the items are cached, CachedResolverCollection may consume excessive Java heap for large collections.

(Published)

Field Summary
`protected java.lang.Class` | `m_Class` The class of the objects in this Collection.
`protected CollectionResolver` | `m_Resolver` The CollectionResolver used to obtain the items in this Collection.

Fields inherited from class oracle.ifs.common.CachedCollection
`m_ItemsArray, m_ItemsHash`

Constructor Summary
`CachedResolverCollection(CollectionResolver resolver, java.lang.String className)` Constructs a CachedResolverCollection.

Method Summary
`protected void` | `resolveNow()` Resolves the items in this Collection.
`void` | `setItems(java.lang.String[] names, java.lang.Object[] items)` Sets the items in this Collection.

Methods inherited from class oracle.ifs.common.CachedCollection
`checkItemByUpperCaseName, getItemByUpperCaseName, getItemCount, getItems, getItems, getItems, getItemsVector, handleEvent, reset, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Class

    protected java.lang.Class m_Class

  Description copied from class: `CachedResolverCollection`
  The class of the objects in this Collection.

  The value returned by getItems() can be cast to an array of this type.

  (Unpublished)

### m_Resolver

    protected CollectionResolver m_Resolver

  Description copied from class: `CachedResolverCollection`
  The CollectionResolver used to obtain the items in this Collection.

  (Unpublished)

Constructor Detail

### CachedResolverCollection

    public CachedResolverCollection(CollectionResolver resolver,
                                    java.lang.String className)
                             throws IfsException

  Constructs a CachedResolverCollection.

  Parameters:
    `resolver` - the CollectionResolver for this Collection
    `className` - the fully qualified classname of the objects in this Collection; if null, `java.lang.Object` is used
  Throws:
    `IfsException` - (IFS-12210) if the operation fails
  (Unpublished)

Method Detail

### resolveNow

    protected void resolveNow()
                       throws IfsException

  Description copied from class: `CachedResolverCollection`
  Resolves the items in this Collection.

  Overrides:
    `resolveNow` in class `CachedCollection`
  Throws:
    `IfsException` - (IFS-12201) if the operation fails
  (Unpublished)

### setItems

    public void setItems(java.lang.String[] names,
                         java.lang.Object[] items)
                  throws IfsException

  Description copied from class: `CachedResolverCollection`
  Sets the items in this Collection.

  This method is invoked by the CollectionResolver.

  Parameters:
    `names` - an array containing the names of the items in the Collection
    `items` - an array containing the items in the Collection. The array index corresponds to the array index of `names`.
  Throws:
    `IfsException` - (IFS-12203) if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD